SolrQuery::setHighlightSnippets
SolrQuery::setMlt
SolrQuery
PHP Manual

# SolrQuery::setHighlightUsePhraseHighlighter

(PECL solr >= 0.9.2)

SolrQuery::setHighlightUsePhraseHighlighter — Whether to highlight phrase terms only when they appear within the query phrase

### 説明

public SolrQuery SolrQuery::setHighlightUsePhraseHighlighter ( bool `$flag` )

Sets whether or not to use SpanScorer to highlight phrase terms only when they appear within the query phrase in the document

### パラメータ

`value`

  Whether or not to use SpanScorer to highlight phrase terms only when they appear within the query phrase in the document

### 返り値

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setHighlightSnippets
SolrQuery::setMlt
SolrQuery
PHP Manual